Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/mass_surface_fractal.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -66,7 +66,7 @@
         b = rg^2/(3*(6-Ds-Dm)/2)
         scale        =  scale factor * N*Volume^2*contrast^2
-        mass_dim       =  Dm (mass fractal dimension)
-        surface_dim  =  Ds
-        cluster_rg  =  Rg
+        fractal_dim_mass       =  Dm (mass fractal dimension)
+        fractal_dim_surf  =  Ds
+        rg_cluster  =  Rg
         primary_rg    =  rg
         background   =  background
@@ -79,9 +79,9 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["mass_dim",      "",    1.8, [1e-16, 6.0], "",
+parameters = [["fractal_dim_mass",      "",    1.8, [1e-16, 6.0], "",
                "Mass fractal dimension"],
-              ["surface_dim",   "",    2.3, [1e-16, 6.0], "",
+              ["fractal_dim_surf",   "",    2.3, [1e-16, 6.0], "",
                "Surface fractal dimension"],
-              ["cluster_rg", "Ang",   86.7, [0.0, inf], "",
+              ["rg_cluster", "Ang",   86.7, [0.0, inf], "",
                "Cluster radius of gyration"],
               ["primary_rg", "Ang", 4000.,  [0.0, inf], "",
@@ -93,7 +93,7 @@
 
 demo = dict(scale=1, background=0,
-            mass_dim=1.8,
-            surface_dim=2.3,
-            cluster_rg=86.7,
+            fractal_dim_mass=1.8,
+            fractal_dim_surf=2.3,
+            rg_cluster=86.7,
             primary_rg=4000.0)
 
@@ -101,7 +101,7 @@
 
     # Accuracy tests based on content in test/utest_other_models.py
-    [{'mass_dim':      1.8,
-      'surface_dim':   2.3,
-      'cluster_rg':   86.7,
+    [{'fractal_dim_mass':      1.8,
+      'fractal_dim_surf':   2.3,
+      'rg_cluster':   86.7,
       'primary_rg': 4000.0,
       'background':    0.0,
@@ -109,20 +109,20 @@
 
     # Additional tests with larger range of parameters
-    [{'mass_dim':      3.3,
-      'surface_dim':   1.0,
-      'cluster_rg':   90.0,
+    [{'fractal_dim_mass':      3.3,
+      'fractal_dim_surf':   1.0,
+      'rg_cluster':   90.0,
       'primary_rg': 4000.0,
      }, 0.001, 0.18562699016],
 
-    [{'mass_dim':      1.3,
-      'surface_dim':   1.0,
-      'cluster_rg':   90.0,
+    [{'fractal_dim_mass':      1.3,
+      'fractal_dim_surf':   1.0,
+      'rg_cluster':   90.0,
       'primary_rg': 2000.0,
       'background':    0.8,
      }, 0.001, 1.16539753641],
 
-    [{'mass_dim':      2.3,
-      'surface_dim':   1.0,
-      'cluster_rg':   90.0,
+    [{'fractal_dim_mass':      2.3,
+      'fractal_dim_surf':   1.0,
+      'rg_cluster':   90.0,
       'primary_rg': 1000.0,
       'scale':        10.0,
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/mono_gauss_coil.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -71,12 +71,12 @@
 parameters = [
     ["i_zero", "1/cm", 70.0, [0.0, inf], "", "Intensity at q=0"],
-    ["radius_gyration", "Ang", 75.0, [0.0, inf], "", "Radius of gyration"],
+    ["rg", "Ang", 75.0, [0.0, inf], "", "Radius of gyration"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
 
 # NB: Scale and Background are implicit parameters on every model
-def Iq(q, i_zero, radius_gyration):
+def Iq(q, i_zero, rg):
     # pylint: disable = missing-docstring
-    z = (q * radius_gyration)**2
+    z = (q * rg)**2
 
     with errstate(invalid='ignore'):
@@ -86,9 +86,9 @@
 Iq.vectorized = True # Iq accepts an array of q values
 
-demo = dict(scale=1.0, i_zero=70.0, radius_gyration=75.0, background=0.0)
+demo = dict(scale=1.0, i_zero=70.0, rg=75.0, background=0.0)
 
 # these unit test values taken from SasView 3.1.2
 tests = [
-    [{'scale': 1.0, 'i_zero': 70.0, 'radius_gyration': 75.0, 'background': 0.0},
+    [{'scale': 1.0, 'i_zero': 70.0, 'rg': 75.0, 'background': 0.0},
      [0.0106939, 0.469418], [57.1241, 0.112859]],
     ]
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision deb7ee06caa9916d8c0504bdc15ffbc16df623f6)
+++ sasmodels/models/parallelepiped.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,6 +1,6 @@
-double form_volume(double a_side, double b_side, double c_side);
-double Iq(double q, double sld, double solvent_sld, double a_side, double b_side, double c_side);
+double form_volume(double length_a, double length_b, double length_c);
+double Iq(double q, double sld, double solvent_sld, double length_a, double length_b, double length_c);
 double Iqxy(double qx, double qy, double sld, double solvent_sld,
-    double a_side, double b_side, double c_side, double theta, double phi, double psi);
+    double length_a, double length_b, double length_c, double theta, double phi, double psi);
 
 // From Igor library
@@ -32,7 +32,7 @@
 
 
-double form_volume(double a_side, double b_side, double c_side)
+double form_volume(double length_a, double length_b, double length_c)
 {
-    return a_side * b_side * c_side;
+    return length_a * length_b * length_c;
 }
 
@@ -41,15 +41,15 @@
     double sld,
     double solvent_sld,
-    double a_side,
-    double b_side,
-    double c_side)
+    double length_a,
+    double length_b,
+    double length_c)
 {
     double tmp1, tmp2;
     
-    double mu = q * b_side;
+    double mu = q * length_b;
     
     // Scale sides by B
-    double a_scaled = a_side / b_side;
-    double c_scaled = c_side / b_side;
+    double a_scaled = length_a / length_b;
+    double c_scaled = length_c / length_b;
         
     //Order of integration
@@ -102,5 +102,5 @@
     }	
    
-    const double vd = (sld-solvent_sld) * form_volume(a_side, b_side, c_side);
+    const double vd = (sld-solvent_sld) * form_volume(length_a, length_b, length_c);
     
     // convert from [1e-12 A-1] to [cm-1] and 0.5 factor for outer integral
@@ -113,7 +113,7 @@
     double sld,
     double solvent_sld,
-    double a_side,
-    double b_side,
-    double c_side,
+    double length_a,
+    double length_b,
+    double length_c,
     double theta,
     double phi,
@@ -161,8 +161,8 @@
     
     // Call the IGOR library function to get the kernel
-    double form = _pkernel( q*a_side, q*b_side, q*c_side, cos_val_a, cos_val_b, cos_val_c);
+    double form = _pkernel( q*length_a, q*length_b, q*length_c, cos_val_a, cos_val_b, cos_val_c);
   
     // Multiply by contrast^2
-    const double vd = (sld - solvent_sld) * form_volume(a_side, b_side, c_side);
+    const double vd = (sld - solvent_sld) * form_volume(length_a, length_b, length_c);
     return 1.0e-4 * vd * vd * form;
 }
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 9a4811ac2bdb93459d640d111cba9f1016660790)
+++ sasmodels/models/parallelepiped.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -190,9 +190,9 @@
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["a_side", "Ang", 35, [0, inf], "volume",
+              ["length_a", "Ang", 35, [0, inf], "volume",
                "Shorter side of the parallelepiped"],
-              ["b_side", "Ang", 75, [0, inf], "volume",
+              ["length_b", "Ang", 75, [0, inf], "volume",
                "Second side of the parallelepiped"],
-              ["c_side", "Ang", 400, [0, inf], "volume",
+              ["length_c", "Ang", 400, [0, inf], "volume",
                "Larger side of the parallelepiped"],
               ["theta", "degrees", 60, [-inf, inf], "orientation",
@@ -206,5 +206,5 @@
 source = ["lib/gauss76.c", "parallelepiped.c"]
 
-def ER(a_side, b_side, c_side):
+def ER(length_a, length_b, length_c):
     """
         Return effective radius (ER) for P(q)*S(q)
@@ -212,7 +212,7 @@
 
     # surface average radius (rough approximation)
-    surf_rad = sqrt(a_side * b_side / pi)
-
-    ddd = 0.75 * surf_rad * (2 * surf_rad * c_side + (c_side + surf_rad) * (c_side + pi * surf_rad))
+    surf_rad = sqrt(length_a * length_b / pi)
+
+    ddd = 0.75 * surf_rad * (2 * surf_rad * length_c + (length_c + surf_rad) * (length_c + pi * surf_rad))
     return 0.5 * (ddd) ** (1. / 3.)
 
@@ -222,9 +222,9 @@
 demo = dict(scale=1, background=0,
             sld=6.3e-6, sld_solvent=1.0e-6,
-            a_side=35, b_side=75, c_side=400,
+            length_a=35, length_b=75, length_c=400,
             theta=45, phi=30, psi=15,
-            a_side_pd=0.1, a_side_pd_n=10,
-            b_side_pd=0.1, b_side_pd_n=1,
-            c_side_pd=0.1, c_side_pd_n=1,
+            length_a_pd=0.1, length_a_pd_n=10,
+            length_b_pd=0.1, length_b_pd_n=1,
+            length_c_pd=0.1, length_c_pd_n=1,
             theta_pd=10, theta_pd_n=1,
             phi_pd=10, phi_pd_n=1,
Index: sasmodels/models/pearl_necklace.c
===================================================================
--- sasmodels/models/pearl_necklace.c	(revision 2f5c6d4a9ea74b4cc7a58030e36695b0634eb349)
+++ sasmodels/models/pearl_necklace.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,16 +1,16 @@
-double _pearl_necklace_kernel(double q, double radius, double edge_separation,
+double _pearl_necklace_kernel(double q, double radius, double edge_sep,
 	double thick_string, double num_pearls, double sld_pearl,
 	double sld_string, double sld_solv);
-double form_volume(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls);
+double form_volume(double radius, double edge_sep,
+	double thick_string, double num_pearls);
 
-double Iq(double q, double radius, double edge_separation,
-	double string_thickness, double number_of_pearls, double sld, 
+double Iq(double q, double radius, double edge_sep,
+	double thick_string, double num_pearls, double sld, 
 	double string_sld, double solvent_sld);
 
-#define INVALID(v) (v.string_thickness >= v.radius || v.number_of_pearls <= 0)
+#define INVALID(v) (v.thick_string >= v.radius || v.num_pearls <= 0)
 
 // From Igor library
-double _pearl_necklace_kernel(double q, double radius, double edge_separation, double thick_string,
+double _pearl_necklace_kernel(double q, double radius, double edge_sep, double thick_string,
 	double num_pearls, double sld_pearl, double sld_string, double sld_solv)
 {
@@ -27,5 +27,5 @@
 	
 	// center to center distance between the neighboring pearls
-	double A_s = edge_separation + 2.0 * radius;
+	double A_s = edge_sep + 2.0 * radius;
 	
 	// Repeated Calculations
@@ -33,8 +33,8 @@
 	double oneminussinc = 1 - sincasq;
 	double q_r = q * radius;
-	double q_edge = q * edge_separation;
+	double q_edge = q * edge_sep;
 	
 	// each volume
-	double string_vol = edge_separation * pi * thick_string * thick_string / 4.0;
+	double string_vol = edge_sep * pi * thick_string * thick_string / 4.0;
 	double pearl_vol = 4.0 / 3.0 * pi * radius * radius * radius;
 
@@ -105,30 +105,30 @@
 }
 
-double form_volume(double radius, double edge_separation,
-	double string_thickness, double number_of_pearls)
+double form_volume(double radius, double edge_sep,
+	double thick_string, double num_pearls)
 {
 	double total_vol;
 
 	double pi = 4.0*atan(1.0);
-	double number_of_strings = number_of_pearls - 1.0;
+	double number_of_strings = num_pearls - 1.0;
 	
-	double string_vol = edge_separation * pi * string_thickness * string_thickness / 4.0;
+	double string_vol = edge_sep * pi * thick_string * thick_string / 4.0;
 	double pearl_vol = 4.0 / 3.0 * pi * radius * radius * radius;
 
 	total_vol = number_of_strings * string_vol;
-	total_vol += number_of_pearls * pearl_vol;
+	total_vol += num_pearls * pearl_vol;
 
 	return(total_vol);
 }
 
-double Iq(double q, double radius, double edge_separation,
-	double string_thickness, double number_of_pearls, double sld, 
+double Iq(double q, double radius, double edge_sep,
+	double thick_string, double num_pearls, double sld, 
 	double string_sld, double solvent_sld)
 {
 	double value, tot_vol;
 	
-	value = _pearl_necklace_kernel(q, radius, edge_separation, string_thickness,
-		number_of_pearls, sld, string_sld, solvent_sld);
-	tot_vol = form_volume(radius, edge_separation, string_thickness, number_of_pearls);
+	value = _pearl_necklace_kernel(q, radius, edge_sep, thick_string,
+		num_pearls, sld, string_sld, solvent_sld);
+	tot_vol = form_volume(radius, edge_sep, thick_string, num_pearls);
 
 	return value*tot_vol;
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/pearl_necklace.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -46,5 +46,5 @@
 pearl_necklace model are the following
 
-NB: *number_of_pearls* must be an integer.
+NB: *num_pearls* must be an integer.
 
 References
@@ -68,8 +68,8 @@
 sld_string: the SLD of the strings
 sld_solvent: the SLD of the solvent
-number_of_pearls: number of the pearls
+num_pearls: number of the pearls
 radius: the radius of a pearl
-edge_separation: the length of string segment; surface to surface
-string_thickness: thickness (ie, diameter) of the string
+edge_sep: the length of string segment; surface to surface
+thick_string: thickness (ie, diameter) of the string
 """
 category = "shape:cylinder"
@@ -78,9 +78,9 @@
 parameters = [["radius", "Ang", 80.0, [0, inf], "volume",
                "Mean radius of the chained spheres"],
-              ["edge_separation", "Ang", 350.0, [0, inf], "volume",
+              ["edge_sep", "Ang", 350.0, [0, inf], "volume",
                "Mean separation of chained particles"],
-              ["string_thickness", "Ang", 2.5, [0, inf], "volume",
+              ["thick_string", "Ang", 2.5, [0, inf], "volume",
                "Thickness of the chain linkage"],
-              ["number_of_pearls", "none", 3, [0, inf], "volume",
+              ["num_pearls", "none", 3, [0, inf], "volume",
                "Number of pearls in the necklace (must be integer)"],
               ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "sld",
@@ -95,32 +95,32 @@
 single = False  # use double precision unless told otherwise
 
-def volume(radius, edge_separation, string_thickness, number_of_pearls):
+def volume(radius, edge_sep, thick_string, num_pearls):
     """
     Calculates the total particle volume of the necklace.
     Redundant with form_volume.
     """
-    number_of_strings = number_of_pearls - 1.0
-    string_vol = edge_separation * pi * pow((string_thickness / 2.0), 2.0)
+    number_of_strings = num_pearls - 1.0
+    string_vol = edge_sep * pi * pow((thick_string / 2.0), 2.0)
     pearl_vol = 4.0 /3.0 * pi * pow(radius, 3.0)
     total_vol = number_of_strings * string_vol
-    total_vol += number_of_pearls * pearl_vol
+    total_vol += num_pearls * pearl_vol
     return total_vol
 
-def ER(radius, edge_separation, string_thickness, number_of_pearls):
+def ER(radius, edge_sep, thick_string, num_pearls):
     """
     Calculation for effective radius.
     """
-    tot_vol = volume(radius, edge_separation, string_thickness, number_of_pearls)
+    tot_vol = volume(radius, edge_sep, thick_string, num_pearls)
     rad_out = pow((3.0*tot_vol/4.0/pi), 0.33333)
     return rad_out
 
 # parameters for demo
-demo = dict(scale=1, background=0, radius=80.0, edge_separation=350.0,
-            number_of_pearls=3, sld=1, sld_solvent=6.3, sld_string=1,
-            string_thickness=2.5,
+demo = dict(scale=1, background=0, radius=80.0, edge_sep=350.0,
+            num_pearls=3, sld=1, sld_solvent=6.3, sld_string=1,
+            thick_string=2.5,
             radius_pd=.2, radius_pd_n=5,
-            edge_separation_pd=25.0, edge_separation_pd_n=5,
-            number_of_pearls_pd=0, number_of_pearls_pd_n=0,
-            string_thickness_pd=0.2, string_thickness_pd_n=5,
+            edge_sep_pd=25.0, edge_sep_pd_n=5,
+            num_pearls_pd=0, num_pearls_pd_n=0,
+            thick_string_pd=0.2, thick_string_pd_n=5,
            )
 
Index: sasmodels/models/poly_gauss_coil.py
===================================================================
--- sasmodels/models/poly_gauss_coil.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/poly_gauss_coil.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -74,5 +74,5 @@
 parameters = [
     ["i_zero",          "1/cm", 70.0, [0.0, inf], "", "Intensity at q=0"],
-    ["radius_gyration",  "Ang", 75.0, [0.0, inf], "", "Radius of gyration"],
+    ["rg",  "Ang", 75.0, [0.0, inf], "", "Radius of gyration"],
     ["polydispersity",  "None",  2.0, [1.0, inf], "", "Polymer Mw/Mn"],
     ]
@@ -80,8 +80,8 @@
 
 # NB: Scale and Background are implicit parameters on every model
-def Iq(q, i_zero, radius_gyration, polydispersity):
+def Iq(q, i_zero, rg, polydispersity):
     # pylint: disable = missing-docstring
     u = polydispersity - 1.0
-    z = (q*radius_gyration)**2 / (1.0 + 2.0*u)
+    z = (q*rg)**2 / (1.0 + 2.0*u)
     # need to trap the case of the polydispersity being 1 (ie, monodisperse!)
     if polydispersity == 1.0:
@@ -97,5 +97,5 @@
 demo = dict(scale=1.0,
             i_zero=70.0,
-            radius_gyration=75.0,
+            rg=75.0,
             polydispersity=2.0,
             background=0.0)
@@ -103,5 +103,5 @@
 # these unit test values taken from SasView 3.1.2
 tests = [
-    [{'scale': 1.0, 'i_zero': 70.0, 'radius_gyration': 75.0,
+    [{'scale': 1.0, 'i_zero': 70.0, 'rg': 75.0,
       'polydispersity': 2.0, 'background': 0.0},
      [0.0106939, 0.469418], [57.6405, 0.169016]],
Index: sasmodels/models/polymer_micelle.c
===================================================================
--- sasmodels/models/polymer_micelle.c	(revision 0bef47b278e819df7ea6b572375dd7bc9607227e)
+++ sasmodels/models/polymer_micelle.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -7,5 +7,5 @@
         double corona_sld,
         double radius_core,
-        double radius_gyr,
+        double rg,
         double d_penetration,
         double n_aggreg);
@@ -19,5 +19,5 @@
         double corona_sld,
         double radius_core,
-        double radius_gyr,
+        double rg,
         double d_penetration,
         double n_aggreg)
@@ -35,5 +35,5 @@
 
     // Self-correlation term of the chains
-    const double qrg2 = q*radius_gyr*q*radius_gyr;
+    const double qrg2 = q*rg*q*rg;
     const double debye_chain = (qrg2 == 0.0) ? 1.0 : 2.0*(expm1(-qrg2)+qrg2)/(qrg2*qrg2);
     const double term2 = n_aggreg * beta_corona * beta_corona * debye_chain;
@@ -41,5 +41,5 @@
     // Interference cross-term between core and chains
     const double chain_ampl = (qrg2 == 0.0) ? 1.0 : -expm1(-qrg2)/qrg2;
-    const double bes_corona = sinc(q*(radius_core + d_penetration * radius_gyr));
+    const double bes_corona = sinc(q*(radius_core + d_penetration * rg));
     const double term3 = 2 * n_aggreg * n_aggreg * beta_core * beta_corona *
                  bes_core * chain_ampl * bes_corona;
@@ -70,5 +70,5 @@
         double corona_sld,
         double radius_core,
-        double radius_gyr,
+        double rg,
         double d_penetration,
         double n_aggreg)
@@ -82,5 +82,5 @@
             corona_sld,
             radius_core,
-            radius_gyr,
+            rg,
             d_penetration,
             n_aggreg);
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision 0bef47b278e819df7ea6b572375dd7bc9607227e)
+++ sasmodels/models/polymer_micelle.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -45,6 +45,6 @@
     ["sld_core",      "1e-6/Ang^2", 0.34, [0.0, inf], "sld", "Core scattering length density"],
     ["sld_corona",    "1e-6/Ang^2", 0.8,  [0.0, inf], "sld", "Corona scattering length density"],
-    ["radius_core",   "Ang",       45.0,  [0.0, inf], "", "Radius of core ( must be >> radius_gyr )"],
-    ["radius_gyr",    "Ang",       20.0,  [0.0, inf], "", "Radius of gyration of chains in corona"],
+    ["radius_core",   "Ang",       45.0,  [0.0, inf], "", "Radius of core ( must be >> rg )"],
+    ["rg",    "Ang",       20.0,  [0.0, inf], "", "Radius of gyration of chains in corona"],
     ["d_penetration", "",           1.0,  [-inf, inf], "", "Factor to mimic non-penetration of Gaussian chains"],
     ["n_aggreg",      "",           6.0,  [-inf, inf], "", "Aggregation number of the micelle"],
@@ -64,5 +64,5 @@
             sld_corona=0.8,
             radius_core=45.0,
-            radius_gyr=20.0,
+            rg=20.0,
             d_penetration=1.0,
             n_aggreg=6.0)
Index: sasmodels/models/rectangular_prism.c
===================================================================
--- sasmodels/models/rectangular_prism.c	(revision deb7ee06caa9916d8c0504bdc15ffbc16df623f6)
+++ sasmodels/models/rectangular_prism.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,11 +1,11 @@
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio);
-double Iq(double q, double sld, double solvent_sld, double a_side, 
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio);
+double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio);
 double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double a_side, double b2a_ratio, double c2a_ratio);
+            double length_a, double b2a_ratio, double c2a_ratio);
 
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio)
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio)
 {
-    return a_side * (a_side*b2a_ratio) * (a_side*c2a_ratio);
+    return length_a * (length_a*b2a_ratio) * (length_a*c2a_ratio);
 }
 
@@ -13,5 +13,5 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio)
@@ -19,8 +19,8 @@
     double termA, termB, termC;
     
-    double b_side = a_side * b2a_ratio;
-    double c_side = a_side * c2a_ratio;
-    double volume = a_side * b_side * c_side;
-    double a_half = 0.5 * a_side;
+    double b_side = length_a * b2a_ratio;
+    double c_side = length_a * c2a_ratio;
+    double volume = length_a * b_side * c_side;
+    double a_half = 0.5 * length_a;
     double b_half = 0.5 * b_side;
     double c_half = 0.5 * c_side;
@@ -92,10 +92,10 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio)
 {
     double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, a_side, b2a_ratio, c2a_ratio); 
+    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio); 
     return intensity;    
 }
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/rectangular_prism.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -99,5 +99,5 @@
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["a_side", "Ang", 35, [0, inf], "volume",
+              ["length_a", "Ang", 35, [0, inf], "volume",
                "Shorter side of the parallelepiped"],
               ["b2a_ratio", "Ang", 1, [0, inf], "volume",
@@ -109,13 +109,13 @@
 source = ["lib/gauss76.c", "rectangular_prism.c"]
 
-def ER(a_side, b2a_ratio, c2a_ratio):
+def ER(length_a, b2a_ratio, c2a_ratio):
     """
         Return equivalent radius (ER)
     """
-    b_side = a_side * b2a_ratio
-    c_side = a_side * c2a_ratio
+    b_side = length_a * b2a_ratio
+    c_side = length_a * c2a_ratio
 
     # surface average radius (rough approximation)
-    surf_rad = sqrt(a_side * b_side / pi)
+    surf_rad = sqrt(length_a * b_side / pi)
 
     ddd = 0.75 * surf_rad * (2 * surf_rad * c_side + (c_side + surf_rad) * (c_side + pi * surf_rad))
@@ -126,6 +126,6 @@
 demo = dict(scale=1, background=0,
             sld=6.3e-6, sld_solvent=1.0e-6,
-            a_side=35, b2a_ratio=1, c2a_ratio=1,
-            a_side_pd=0.1, a_side_pd_n=10,
+            length_a=35, b2a_ratio=1, c2a_ratio=1,
+            length_a_pd=0.1, length_a_pd_n=10,
             b2a_ratio_pd=0.1, b2a_ratio_pd_n=1,
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
Index: sasmodels/models/stacked_disks.c
===================================================================
--- sasmodels/models/stacked_disks.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/stacked_disks.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,13 +1,13 @@
-double form_volume(double core_thick,
-                   double layer_thick,
+double form_volume(double thick_core,
+                   double thick_layer,
                    double radius,
                    double n_stacking);
 
 double Iq(double q,
-          double core_thick,
-          double layer_thick,
+          double thick_core,
+          double thick_layer,
           double radius,
           double n_stacking,
-          double sigma_d,
+          double sigma_dnn,
           double core_sld,
           double layer_sld,
@@ -21,7 +21,7 @@
                double solvent_sld,
                double halfheight,
-               double layer_thick,
+               double thick_layer,
                double zi,
-               double sigma_d,
+               double sigma_dnn,
                double d,
                double n_stacking)
@@ -38,5 +38,5 @@
 
 	const double sinarg1 = qq*halfheight*cos(zi);
-	const double sinarg2 = qq*(halfheight+layer_thick)*cos(zi);
+	const double sinarg2 = qq*(halfheight+thick_layer)*cos(zi);
 
 	const double be1 = sas_J1c(besarg1);
@@ -48,5 +48,5 @@
 	const double dr2 = (layer_sld-solvent_sld);
 	const double area = M_PI*radius*radius;
-	const double totald=2.0*(layer_thick+halfheight);
+	const double totald=2.0*(thick_layer+halfheight);
 
 	const double t1 = area*(2.0*halfheight)*dr1*(si1)*(be1);
@@ -59,5 +59,5 @@
 	double sqq=0.0;
 	for(int kk=1;kk<n_stacking;kk+=1) {
-		double dexpt=qq*cos(zi)*qq*cos(zi)*d*d*sigma_d*sigma_d*kk/2.0;
+		double dexpt=qq*cos(zi)*qq*cos(zi)*d*d*sigma_dnn*sigma_dnn*kk/2.0;
 		sqq=sqq+(n_stacking-kk)*cos(qq*cos(zi)*d*kk)*exp(-1.*dexpt);
 	}
@@ -74,9 +74,9 @@
 static
 double stacked_disks_kernel(double q,
-                            double core_thick,
-                            double layer_thick,
+                            double thick_core,
+                            double thick_layer,
                             double radius,
                             double n_stacking,
-                            double sigma_d,
+                            double sigma_dnn,
                             double core_sld,
                             double layer_sld,
@@ -88,6 +88,6 @@
 	double summ = 0.0;	//initialize integral
 
-	double d=2.0*layer_thick+core_thick;
-	double halfheight = core_thick/2.0;
+	double d=2.0*thick_layer+thick_core;
+	double halfheight = thick_core/2.0;
 
 	for(int i=0;i<N_POINTS_76;i++) {
@@ -100,7 +100,7 @@
 		                   solvent_sld,
 		                   halfheight,
-		                   layer_thick,
+		                   thick_layer,
 		                   zi,
-		                   sigma_d,
+		                   sigma_dnn,
 		                   d,
 		                   n_stacking);
@@ -117,9 +117,9 @@
 
 static double stacked_disks_kernel_2d(double q, double q_x, double q_y,
-                            double core_thick,
-                            double layer_thick,
+                            double thick_core,
+                            double thick_layer,
                             double radius,
                             double n_stacking,
-                            double sigma_d,
+                            double sigma_dnn,
                             double core_sld,
                             double layer_sld,
@@ -154,6 +154,6 @@
 
     // Call the IGOR library function to get the kernel
-    double d = 2 * layer_thick + core_thick;
-    double halfheight = core_thick/2.0;
+    double d = 2 * thick_layer + thick_core;
+    double halfheight = thick_core/2.0;
     double answer = _kernel(q,
                      radius,
@@ -162,7 +162,7 @@
                      solvent_sld,
                      halfheight,
-                     layer_thick,
+                     thick_layer,
                      alpha,
-                     sigma_d,
+                     sigma_dnn,
                      d,
                      n_stacking);
@@ -175,18 +175,18 @@
 }
 
-double form_volume(double core_thick,
-                   double layer_thick,
+double form_volume(double thick_core,
+                   double thick_layer,
                    double radius,
                    double n_stacking){
-    double d = 2 * layer_thick + core_thick;
+    double d = 2 * thick_layer + thick_core;
     return acos(-1.0) * radius * radius * d * n_stacking;
 }
 
 double Iq(double q,
-          double core_thick,
-          double layer_thick,
+          double thick_core,
+          double thick_layer,
           double radius,
           double n_stacking,
-          double sigma_d,
+          double sigma_dnn,
           double core_sld,
           double layer_sld,
@@ -194,9 +194,9 @@
 {
     return stacked_disks_kernel(q,
-                    core_thick,
-                    layer_thick,
+                    thick_core,
+                    thick_layer,
                     radius,
                     n_stacking,
-                    sigma_d,
+                    sigma_dnn,
                     core_sld,
                     layer_sld,
